Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2013-02-05 16:49:24 +0000
committercletavernie2013-02-05 16:49:24 +0000
commit18de7b55f9ed07de1cd02d74e51cc8d1f9af48e5 (patch)
tree28aa3ebac97474bb59b0ceeb0c718dd851ef632a /plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication
parent65ef02fbc83823bab90214cf11391a61bb9e2d7f (diff)
downloadorg.eclipse.papyrus-18de7b55f9ed07de1cd02d74e51cc8d1f9af48e5.tar.gz
org.eclipse.papyrus-18de7b55f9ed07de1cd02d74e51cc8d1f9af48e5.tar.xz
org.eclipse.papyrus-18de7b55f9ed07de1cd02d74e51cc8d1f9af48e5.zip
Cleanup and fix a few plug-in dependencies
Diffstat (limited to 'plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication')
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF35
1 files changed, 3 insertions, 32 deletions
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
index 5081fa20d2d..7372b0be1db 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
@@ -24,57 +24,28 @@ Bundle-ClassPath: .
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.gmf.runtime.emf.core,
- org.eclipse.gmf.runtime.emf.commands.core,
- org.eclipse.gmf.runtime.emf.ui.properties,
- org.eclipse.gmf.runtime.diagram.ui,
- org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.gmf.runtime.diagram.ui.providers,
- org.eclipse.gmf.runtime.diagram.ui.providers.ide,
- org.eclipse.gmf.runtime.diagram.ui.render,
- org.eclipse.gmf.runtime.diagram.ui.resources.editor,
+Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.10.0",
org.eclipse.ocl.ecore,
org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.0",
org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.0",
org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.0",
- org.eclipse.papyrus.editor;bundle-version="0.10.0",
org.eclipse.uml2.uml.resources;bundle-version="3.0.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.10.0",
- org.eclipse.jface,
- org.eclipse.gmf.runtime.draw2d.ui,
org.eclipse.papyrus.infra.emf.appearance;bundle-version="0.10.0",
- org.eclipse.papyrus.uml.appearance;bundle-version="0.10.0",
org.eclipse.ui.navigator.resources;bundle-version="3.4.400",
org.eclipse.ui.navigator;bundle-version="3.5.200",
org.eclipse.core.expressions;bundle-version="3.4.400",
org.eclipse.papyrus.infra.core;bundle-version="0.10.0",
- org.eclipse.papyrus.infra.core.sasheditor;bundle-version="0.10.0",
org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.10.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.0",
org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.0",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.0",
org.eclipse.ui.ide;bundle-version="3.8.0",
org.eclipse.uml2.uml.edit;bundle-version="4.0.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.0",
org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.10.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.0",
- org.eclipse.ui.views,
- org.eclipse.emf.ecore,
- org.eclipse.emf.ecore.xmi,
- org.eclipse.emf.edit.ui,
- org.eclipse.papyrus.uml.service.types,
- org.eclipse.draw2d;visibility:=reexport,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.edit;visibility:=reexport,
- org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.gef,
- org.eclipse.gmf.tooling.runtime;bundle-version="3.0.0"
+ org.eclipse.gmf.tooling.runtime;bundle-version="3.0.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-Version: 0.10.0.vqualifier

Back to the top